{
"error": "Rate limit exceeded. Please retry after a short delay."
}
Tweets
Get Tweet Detail
Fetch detailed information about a single tweet. Returns comprehensive tweet data including author info, engagement stats, media attachments, polls, referenced tweets, and edit history. Use this for deep inspection of individual tweets.
GET
/
v1
/
twitter
/
tweets
/
tweet
/
{tweet_id}
Get tweet details
curl --request GET \ --url https://scrapebadger.com/v1/twitter/tweets/tweet/{tweet_id} \ --header 'x-api-key: <api-key>'
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"ScrapeBadger","colors":{"primary":"#16A34A","light":"#22C55E","dark":"#15803D"},"logo":{"light":"https://mintcdn.com/scrapebadger/gnGR4eL2rEJ4E7w3/logo/light.png?fit=max\u0026auto=format\u0026n=gnGR4eL2rEJ4E7w3\u0026q=85\u0026s=d393e30b48870f8495f788d1fad76ad3","dark":"https://mintcdn.com/scrapebadger/pHswKIBb9VFWmUQY/logo/dark.png?fit=max\u0026auto=format\u0026n=pHswKIBb9VFWmUQY\u0026q=85\u0026s=a5c2b0f2229bc45c6de7fb33b2318941"},"favicon":"https://mintcdn.com/scrapebadger/q5UXhzQrMbsIglQS/favicon.png?fit=max\u0026auto=format\u0026n=q5UXhzQrMbsIglQS\u0026q=85\u0026s=cf0ec94b52375fd84ae198f26e812030","api":{"playground":{}},"navbar":{"links":[{"href":"mailto:support@scrapebadger.com","label":"Support"}],"primary":{"type":"button","label":"Dashboard","href":"https://scrapebadger.com/dashboard?utm_source=docs\u0026utm_medium=referral"}},"footer":{"socials":{"x":"https://x.com/scrapebadger","github":"https://github.com/scrape-badger"}},"styling":{"latex":true},"navigation":{"global":{"anchors":[{"anchor":"Dashboard","icon":"gauge","href":"https://scrapebadger.com/dashboard?utm_source=docs\u0026utm_medium=referral"},{"anchor":"Pricing","icon":"credit-card","href":"https://scrapebadger.com/pricing"}]},"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"scrapebadger","hasAudioNarration":false,"actualSubdomain":"scrapebadger","customDomains":["docs.scrapebadger.com"],"gitSource":{"type":"github","owner":"scrape-badger","repo":"docs","deployBranch":"main","contentDirectory":"","isPrivate":false,"mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6aeb5b9eb21018c2553e8993","collectionId":"2eeae0da-0a70-4753-8538-b7f5c37441bb","schemaVersion":"v3","latestBuiltDeploymentHistoryId":"6aeb5b9eb21018c2553e8993"},"entitlements":{},"buildId":"6aeb5b9eb21018c2553e8993","clientVersion":"0.0.4076","searchFilterCounts":[{"language":"default","tag":"Search","count":71},{"language":"default","tag":"Twitter","count":61},{"language":"default","tag":"Naver","count":56},{"language":"default","tag":"Google","count":50},{"language":"default","tag":"Endpoints","count":39},{"language":"default","tag":"Overview","count":38},{"language":"default","tag":"Reference","count":38},{"language":"default","tag":"TikTok","count":36},{"language":"default","tag":"Users","count":29},{"language":"default","tag":"Getting Started","count":22}]},"assistantConfig":{"enableAskAiButton":false,"enableStarterQuestions":false,"enableContextualStarterQuestions":false,"enableAskAiSearchBar":true},"basePath":"","hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[],"googleFontsInlined":false},"customCss":[{"filePath":"style.css","content":".nav-tabs{min-width:0;overflow-x:auto;overscroll-behavior-x:contain;scrollbar-width:thin}.nav-tabs-item{flex-shrink:0;white-space:nowrap}"}],"page":{"pagePath":"api-reference/endpoint/tweets/get-tweet-detail","slug":"/api-reference/endpoint/tweets/get-tweet-detail","pageMetadata":{"title":"Get Tweet Detail","openapi":"get /v1/twitter/tweets/tweet/{tweet_id}","description":"Fetch detailed information about a single tweet. Returns comprehensive tweet data including author info, engagement stats, media attachments, polls, referenced tweets, and edit history. Use this for deep inspection of individual tweets.","href":"/api-reference/endpoint/tweets/get-tweet-detail"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Fetch detailed information about a single tweet. Returns comprehensive tweet data including author info, engagement stats, media attachments, polls, referenced tweets, and edit history. Use this for deep inspection of individual tweets.\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Get Tweet Detail","openapi":"get /v1/twitter/tweets/tweet/{tweet_id}","description":"Fetch detailed information about a single tweet. Returns comprehensive tweet data including author info, engagement stats, media attachments, polls, referenced tweets, and edit history. Use this for deep inspection of individual tweets.","href":"/api-reference/endpoint/tweets/get-tweet-detail"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"operationId":"getTweetDetail","summary":"Get tweet details","description":"Fetch detailed information about a single tweet. Returns comprehensive tweet data including author info, engagement stats, media attachments, polls, referenced tweets, and edit history. Use this for deep inspection of individual tweets.","tags":["Tweets"],"parameters":["ceeefeb0-88b1-45e4-9106-4b3f2300464e","04483186-4fbc-47b8-a655-6cd5585f2899"],"responses":{"200":"0447a3c9-43a2-4b39-ac28-d9fe4ea68085","401":"bc80ad5a-652c-488f-bffd-b546bdb05568","402":"e75d9549-4f2b-41a0-b316-68faef9bacf5","429":"cc03ec07-9930-46a4-8267-95ddd6cbac2f"},"method":"get","type":"path","servers":["14370efe-8c9f-43f2-8f7a-2dc4505b8c58"],"security":["37f48805-a7c5-4f98-9639-0e3d6ad80121"],"path":"/v1/twitter/tweets/tweet/{tweet_id}","baseUrlOptions":["https://scrapebadger.com"],"title":"Get tweet details","codeSamples":[],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{"ceeefeb0-88b1-45e4-9106-4b3f2300464e":{"name":"tweet_id","in":"path","required":true,"description":"The unique numeric ID of the tweet.","schema":{"type":"string","example":"1234567890123456789","isRequired":true,"description":"The unique numeric ID of the tweet.","uniqueKey":"","typeLabel":"string"}},"04483186-4fbc-47b8-a655-6cd5585f2899":{"name":"cursor","in":"query","required":false,"description":"Pagination cursor from a previous response for fetching additional data.","schema":{"type":"string","isRequired":false,"description":"Pagination cursor from a previous response for fetching additional data.","uniqueKey":"","typeLabel":"string"}}},"responses":{"0447a3c9-43a2-4b39-ac28-d9fe4ea68085":{"description":"Successfully retrieved tweet details.","content":{"application/json":{"schema":{"type":"object","description":"Comprehensive tweet data including text, author info, engagement metrics, media, and metadata.","required":["id","text","created_at"],"properties":{"id":{"type":"string","description":"Unique tweet identifier.","example":"1234567890123456789","isRequired":true,"uniqueKey":"id","typeLabel":"string"},"text":{"type":"string","description":"The tweet text content.","example":"Hello, world! This is a tweet.","isRequired":true,"uniqueKey":"text","typeLabel":"string"},"created_at":{"type":"string","description":"Timestamp when the tweet was created.","example":"Wed Oct 10 20:19:24 +0000 2018","isRequired":true,"uniqueKey":"created_at","typeLabel":"string"},"full_text":{"oneOf":[{"type":"string","description":"Full text of the tweet, including extended content beyond 280 characters.","uniqueKey":"full_text.oneOf.0","typeLabel":"string"},{"type":"null","description":"Full text of the tweet, including extended content beyond 280 characters.","uniqueKey":"full_text.oneOf.1","typeLabel":"null"}],"uniqueKey":"full_text","typeLabel":"string | null"},"lang":{"oneOf":[{"type":"string","description":"BCP 47 language tag of the tweet content.","example":"en","uniqueKey":"lang.oneOf.0","typeLabel":"string"},{"type":"null","description":"BCP 47 language tag of the tweet content.","example":"en","uniqueKey":"lang.oneOf.1","typeLabel":"null"}],"uniqueKey":"lang","typeLabel":"string | null"},"user_id":{"oneOf":[{"type":"string","description":"Numeric ID of the tweet author.","example":"44196397","uniqueKey":"user_id.oneOf.0","typeLabel":"string"},{"type":"null","description":"Numeric ID of the tweet author.","example":"44196397","uniqueKey":"user_id.oneOf.1","typeLabel":"null"}],"uniqueKey":"user_id","typeLabel":"string | null"},"username":{"oneOf":[{"type":"string","description":"Username (screen name) of the tweet author.","example":"elonmusk","uniqueKey":"username.oneOf.0","typeLabel":"string"},{"type":"null","description":"Username (screen name) of the tweet author.","example":"elonmusk","uniqueKey":"username.oneOf.1","typeLabel":"null"}],"uniqueKey":"username","typeLabel":"string | null"},"user_name":{"oneOf":[{"type":"string","description":"Display name of the tweet author.","example":"Elon Musk","uniqueKey":"user_name.oneOf.0","typeLabel":"string"},{"type":"null","description":"Display name of the tweet author.","example":"Elon Musk","uniqueKey":"user_name.oneOf.1","typeLabel":"null"}],"uniqueKey":"user_name","typeLabel":"string | null"},"favorite_count":{"type":"integer","description":"Number of times this tweet has been liked.","default":0,"uniqueKey":"favorite_count","typeLabel":"integer"},"retweet_count":{"type":"integer","description":"Number of times this tweet has been retweeted.","default":0,"uniqueKey":"retweet_count","typeLabel":"integer"},"reply_count":{"type":"integer","description":"Number of replies to this tweet.","default":0,"uniqueKey":"reply_count","typeLabel":"integer"},"quote_count":{"type":"integer","description":"Number of times this tweet has been quoted.","default":0,"uniqueKey":"quote_count","typeLabel":"integer"},"view_count":{"oneOf":[{"type":"integer","description":"Number of times this tweet has been viewed.","uniqueKey":"view_count.oneOf.0","typeLabel":"integer"},{"type":"null","description":"Number of times this tweet has been viewed.","uniqueKey":"view_count.oneOf.1","typeLabel":"null"}],"uniqueKey":"view_count","typeLabel":"integer | null"},"bookmark_count":{"oneOf":[{"type":"integer","description":"Number of times this tweet has been bookmarked.","uniqueKey":"bookmark_count.oneOf.0","typeLabel":"integer"},{"type":"null","description":"Number of times this tweet has been bookmarked.","uniqueKey":"bookmark_count.oneOf.1","typeLabel":"null"}],"uniqueKey":"bookmark_count","typeLabel":"integer | null"},"favorited":{"type":"boolean","description":"Whether the authenticated user has liked this tweet.","default":false,"uniqueKey":"favorited","typeLabel":"boolean"},"retweeted":{"type":"boolean","description":"Whether the authenticated user has retweeted this tweet.","default":false,"uniqueKey":"retweeted","typeLabel":"boolean"},"bookmarked":{"type":"boolean","description":"Whether the authenticated user has bookmarked this tweet.","default":false,"uniqueKey":"bookmarked","typeLabel":"boolean"},"possibly_sensitive":{"type":"boolean","description":"Whether the tweet is flagged as possibly containing sensitive content.","default":false,"uniqueKey":"possibly_sensitive","typeLabel":"boolean"},"is_quote_status":{"type":"boolean","description":"Whether the tweet is a quote tweet.","default":false,"uniqueKey":"is_quote_status","typeLabel":"boolean"},"is_retweet":{"type":"boolean","description":"Whether the tweet is a retweet.","default":false,"uniqueKey":"is_retweet","typeLabel":"boolean"},"conversation_id":{"oneOf":[{"type":"string","description":"ID of the conversation thread this tweet belongs to.","uniqueKey":"conversation_id.oneOf.0","typeLabel":"string"},{"type":"null","description":"ID of the conversation thread this tweet belongs to.","uniqueKey":"conversation_id.oneOf.1","typeLabel":"null"}],"uniqueKey":"conversation_id","typeLabel":"string | null"},"in_reply_to_status_id":{"oneOf":[{"type":"string","description":"ID of the tweet this is a reply to, if applicable.","uniqueKey":"in_reply_to_status_id.oneOf.0","typeLabel":"string"},{"type":"null","description":"ID of the tweet this is a reply to, if applicable.","uniqueKey":"in_reply_to_status_id.oneOf.1","typeLabel":"null"}],"uniqueKey":"in_reply_to_status_id","typeLabel":"string | null"},"in_reply_to_user_id":{"oneOf":[{"type":"string","description":"ID of the user this tweet is replying to.","uniqueKey":"in_reply_to_user_id.oneOf.0","typeLabel":"string"},{"type":"null","description":"ID of the user this tweet is replying to.","uniqueKey":"in_reply_to_user_id.oneOf.1","typeLabel":"null"}],"uniqueKey":"in_reply_to_user_id","typeLabel":"string | null"},"media":{"type":"array","description":"Media attachments (photos, videos, GIFs).","items":{"type":"object","description":"Media attachment in a tweet (photo, video, or animated GIF).","properties":{"media_key":{"oneOf":[{"type":"string","description":"Unique identifier for the media.","uniqueKey":"media.items.[INDEX].media_key.oneOf.0","typeLabel":"string"},{"type":"null","description":"Unique identifier for the media.","uniqueKey":"media.items.[INDEX].media_key.oneOf.1","typeLabel":"null"}],"uniqueKey":"media.items.[INDEX].media_key","typeLabel":"string | null"},"type":{"oneOf":[{"type":"string","description":"Type of media.","enum":["photo","video","animated_gif"],"uniqueKey":"media.items.[INDEX].type.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","description":"Type of media.","enum":["photo","video","animated_gif"],"uniqueKey":"media.items.[INDEX].type.oneOf.1","typeLabel":"null"}],"uniqueKey":"media.items.[INDEX].type","typeLabel":"enum\u003cstring> | null"},"url":{"oneOf":[{"type":"string","description":"URL of the media resource.","uniqueKey":"media.items.[INDEX].url.oneOf.0","typeLabel":"string"},{"type":"null","description":"URL of the media resource.","uniqueKey":"media.items.[INDEX].url.oneOf.1","typeLabel":"null"}],"uniqueKey":"media.items.[INDEX].url","typeLabel":"string | null"},"preview_image_url":{"oneOf":[{"type":"string","description":"URL of the preview/thumbnail image.","uniqueKey":"media.items.[INDEX].preview_image_url.oneOf.0","typeLabel":"string"},{"type":"null","description":"URL of the preview/thumbnail image.","uniqueKey":"media.items.[INDEX].preview_image_url.oneOf.1","typeLabel":"null"}],"uniqueKey":"media.items.[INDEX].preview_image_url","typeLabel":"string | null"},"width":{"oneOf":[{"type":"integer","description":"Width of the media in pixels.","uniqueKey":"media.items.[INDEX].width.oneOf.0","typeLabel":"integer"},{"type":"null","description":"Width of the media in pixels.","uniqueKey":"media.items.[INDEX].width.oneOf.1","typeLabel":"null"}],"uniqueKey":"media.items.[INDEX].width","typeLabel":"integer | null"},"height":{"oneOf":[{"type":"integer","description":"Height of the media in pixels.","uniqueKey":"media.items.[INDEX].height.oneOf.0","typeLabel":"integer"},{"type":"null","description":"Height of the media in pixels.","uniqueKey":"media.items.[INDEX].height.oneOf.1","typeLabel":"null"}],"uniqueKey":"media.items.[INDEX].height","typeLabel":"integer | null"},"duration_ms":{"oneOf":[{"type":"integer","description":"Duration in milliseconds (for video/GIF).","uniqueKey":"media.items.[INDEX].duration_ms.oneOf.0","typeLabel":"integer"},{"type":"null","description":"Duration in milliseconds (for video/GIF).","uniqueKey":"media.items.[INDEX].duration_ms.oneOf.1","typeLabel":"null"}],"uniqueKey":"media.items.[INDEX].duration_ms","typeLabel":"integer | null"},"view_count":{"oneOf":[{"type":"integer","description":"Number of views (for video).","uniqueKey":"media.items.[INDEX].view_count.oneOf.0","typeLabel":"integer"},{"type":"null","description":"Number of views (for video).","uniqueKey":"media.items.[INDEX].view_count.oneOf.1","typeLabel":"null"}],"uniqueKey":"media.items.[INDEX].view_count","typeLabel":"integer | null"},"alt_text":{"oneOf":[{"type":"string","description":"Alt text description of the media.","uniqueKey":"media.items.[INDEX].alt_text.oneOf.0","typeLabel":"string"},{"type":"null","description":"Alt text description of the media.","uniqueKey":"media.items.[INDEX].alt_text.oneOf.1","typeLabel":"null"}],"uniqueKey":"media.items.[INDEX].alt_text","typeLabel":"string | null"}},"uniqueKey":"media.items.[INDEX]","typeLabel":"object"},"uniqueKey":"media","typeLabel":"object[]"},"urls":{"type":"array","description":"URLs mentioned in the tweet.","items":{"type":"object","description":"URL entity in a tweet or user profile.","required":["url"],"properties":{"url":{"type":"string","description":"The shortened t.co URL.","isRequired":true,"uniqueKey":"urls.items.[INDEX].url","typeLabel":"string"},"expanded_url":{"oneOf":[{"type":"string","description":"The fully expanded URL.","uniqueKey":"urls.items.[INDEX].expanded_url.oneOf.0","typeLabel":"string"},{"type":"null","description":"The fully expanded URL.","uniqueKey":"urls.items.[INDEX].expanded_url.oneOf.1","typeLabel":"null"}],"uniqueKey":"urls.items.[INDEX].expanded_url","typeLabel":"string | null"},"display_url":{"oneOf":[{"type":"string","description":"Display-friendly version of the URL.","uniqueKey":"urls.items.[INDEX].display_url.oneOf.0","typeLabel":"string"},{"type":"null","description":"Display-friendly version of the URL.","uniqueKey":"urls.items.[INDEX].display_url.oneOf.1","typeLabel":"null"}],"uniqueKey":"urls.items.[INDEX].display_url","typeLabel":"string | null"},"unwound_url":{"oneOf":[{"type":"string","description":"Fully resolved URL after following redirects.","uniqueKey":"urls.items.[INDEX].unwound_url.oneOf.0","typeLabel":"string"},{"type":"null","description":"Fully resolved URL after following redirects.","uniqueKey":"urls.items.[INDEX].unwound_url.oneOf.1","typeLabel":"null"}],"uniqueKey":"urls.items.[INDEX].unwound_url","typeLabel":"string | null"}},"uniqueKey":"urls.items.[INDEX]","typeLabel":"object"},"uniqueKey":"urls","typeLabel":"object[]"},"hashtags":{"type":"array","description":"Hashtags in the tweet.","items":{"type":"object","description":"Hashtag entity in a tweet.","required":["text"],"properties":{"text":{"type":"string","description":"The hashtag text (without the # symbol).","example":"AI","isRequired":true,"uniqueKey":"hashtags.items.[INDEX].text","typeLabel":"string"},"indices":{"oneOf":[{"type":"array","description":"Start and end positions of the hashtag in the tweet text.","items":{"type":"integer","uniqueKey":"hashtags.items.[INDEX].indices.oneOf.0.items.[INDEX]","typeLabel":"integer"},"uniqueKey":"hashtags.items.[INDEX].indices.oneOf.0","typeLabel":"integer[]"},{"type":"null","description":"Start and end positions of the hashtag in the tweet text.","items":{"type":"integer"},"uniqueKey":"hashtags.items.[INDEX].indices.oneOf.1","typeLabel":"null"}],"uniqueKey":"hashtags.items.[INDEX].indices","typeLabel":"integer[] | null"}},"uniqueKey":"hashtags.items.[INDEX]","typeLabel":"object"},"uniqueKey":"hashtags","typeLabel":"object[]"},"user_mentions":{"type":"array","description":"Users mentioned in the tweet.","items":{"type":"object","description":"User mention entity in a tweet.","properties":{"id":{"oneOf":[{"type":"string","description":"Numeric ID of the mentioned user.","uniqueKey":"user_mentions.items.[INDEX].id.oneOf.0","typeLabel":"string"},{"type":"null","description":"Numeric ID of the mentioned user.","uniqueKey":"user_mentions.items.[INDEX].id.oneOf.1","typeLabel":"null"}],"uniqueKey":"user_mentions.items.[INDEX].id","typeLabel":"string | null"},"username":{"oneOf":[{"type":"string","description":"Username of the mentioned user.","uniqueKey":"user_mentions.items.[INDEX].username.oneOf.0","typeLabel":"string"},{"type":"null","description":"Username of the mentioned user.","uniqueKey":"user_mentions.items.[INDEX].username.oneOf.1","typeLabel":"null"}],"uniqueKey":"user_mentions.items.[INDEX].username","typeLabel":"string | null"},"name":{"oneOf":[{"type":"string","description":"Display name of the mentioned user.","uniqueKey":"user_mentions.items.[INDEX].name.oneOf.0","typeLabel":"string"},{"type":"null","description":"Display name of the mentioned user.","uniqueKey":"user_mentions.items.[INDEX].name.oneOf.1","typeLabel":"null"}],"uniqueKey":"user_mentions.items.[INDEX].name","typeLabel":"string | null"},"indices":{"oneOf":[{"type":"array","description":"Start and end positions of the mention in the tweet text.","items":{"type":"integer","uniqueKey":"user_mentions.items.[INDEX].indices.oneOf.0.items.[INDEX]","typeLabel":"integer"},"uniqueKey":"user_mentions.items.[INDEX].indices.oneOf.0","typeLabel":"integer[]"},{"type":"null","description":"Start and end positions of the mention in the tweet text.","items":{"type":"integer"},"uniqueKey":"user_mentions.items.[INDEX].indices.oneOf.1","typeLabel":"null"}],"uniqueKey":"user_mentions.items.[INDEX].indices","typeLabel":"integer[] | null"}},"uniqueKey":"user_mentions.items.[INDEX]","typeLabel":"object"},"uniqueKey":"user_mentions","typeLabel":"object[]"},"poll":{"oneOf":[{"type":"object","description":"Poll data if the tweet contains a poll.","properties":{"id":{"oneOf":[{"type":"string","description":"Unique poll identifier.","uniqueKey":"poll.oneOf.0.id.oneOf.0","typeLabel":"string"},{"type":"null","description":"Unique poll identifier.","uniqueKey":"poll.oneOf.0.id.oneOf.1","typeLabel":"null"}],"uniqueKey":"poll.oneOf.0.id","typeLabel":"string | null"},"voting_status":{"oneOf":[{"type":"string","description":"Current voting status.","enum":["open","closed"],"uniqueKey":"poll.oneOf.0.voting_status.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","description":"Current voting status.","enum":["open","closed"],"uniqueKey":"poll.oneOf.0.voting_status.oneOf.1","typeLabel":"null"}],"uniqueKey":"poll.oneOf.0.voting_status","typeLabel":"enum\u003cstring> | null"},"end_datetime":{"oneOf":[{"type":"string","description":"When the poll ends or ended.","uniqueKey":"poll.oneOf.0.end_datetime.oneOf.0","typeLabel":"string"},{"type":"null","description":"When the poll ends or ended.","uniqueKey":"poll.oneOf.0.end_datetime.oneOf.1","typeLabel":"null"}],"uniqueKey":"poll.oneOf.0.end_datetime","typeLabel":"string | null"},"duration_minutes":{"oneOf":[{"type":"integer","description":"Total duration of the poll in minutes.","uniqueKey":"poll.oneOf.0.duration_minutes.oneOf.0","typeLabel":"integer"},{"type":"null","description":"Total duration of the poll in minutes.","uniqueKey":"poll.oneOf.0.duration_minutes.oneOf.1","typeLabel":"null"}],"uniqueKey":"poll.oneOf.0.duration_minutes","typeLabel":"integer | null"},"options":{"type":"array","description":"Poll options with vote counts.","items":{"type":"object","description":"A single poll option with its vote count.","required":["position","label","votes"],"properties":{"position":{"type":"integer","description":"Position of the option (1-indexed).","isRequired":true,"uniqueKey":"poll.oneOf.0.options.items.[INDEX].position","typeLabel":"integer"},"label":{"type":"string","description":"Text label of the poll option.","isRequired":true,"uniqueKey":"poll.oneOf.0.options.items.[INDEX].label","typeLabel":"string"},"votes":{"type":"integer","description":"Number of votes for this option.","isRequired":true,"uniqueKey":"poll.oneOf.0.options.items.[INDEX].votes","typeLabel":"integer"}},"uniqueKey":"poll.oneOf.0.options.items.[INDEX]","typeLabel":"object"},"uniqueKey":"poll.oneOf.0.options","typeLabel":"object[]"}},"uniqueKey":"poll.oneOf.0","typeLabel":"object"},{"type":"null","description":"Poll data if the tweet contains a poll.","uniqueKey":"poll.oneOf.1","typeLabel":"null"}],"uniqueKey":"poll","typeLabel":"object | null"},"place":{"oneOf":[{"type":"object","description":"Geographic place associated with the tweet.","properties":{"id":{"oneOf":[{"type":"string","description":"Unique place identifier.","uniqueKey":"place.oneOf.0.id.oneOf.0","typeLabel":"string"},{"type":"null","description":"Unique place identifier.","uniqueKey":"place.oneOf.0.id.oneOf.1","typeLabel":"null"}],"uniqueKey":"place.oneOf.0.id","typeLabel":"string | null"},"full_name":{"oneOf":[{"type":"string","description":"Full human-readable place name.","example":"San Francisco, CA","uniqueKey":"place.oneOf.0.full_name.oneOf.0","typeLabel":"string"},{"type":"null","description":"Full human-readable place name.","example":"San Francisco, CA","uniqueKey":"place.oneOf.0.full_name.oneOf.1","typeLabel":"null"}],"uniqueKey":"place.oneOf.0.full_name","typeLabel":"string | null"},"name":{"oneOf":[{"type":"string","description":"Short place name.","example":"San Francisco","uniqueKey":"place.oneOf.0.name.oneOf.0","typeLabel":"string"},{"type":"null","description":"Short place name.","example":"San Francisco","uniqueKey":"place.oneOf.0.name.oneOf.1","typeLabel":"null"}],"uniqueKey":"place.oneOf.0.name","typeLabel":"string | null"},"country":{"oneOf":[{"type":"string","description":"Country name.","example":"United States","uniqueKey":"place.oneOf.0.country.oneOf.0","typeLabel":"string"},{"type":"null","description":"Country name.","example":"United States","uniqueKey":"place.oneOf.0.country.oneOf.1","typeLabel":"null"}],"uniqueKey":"place.oneOf.0.country","typeLabel":"string | null"},"country_code":{"oneOf":[{"type":"string","description":"ISO country code.","example":"US","uniqueKey":"place.oneOf.0.country_code.oneOf.0","typeLabel":"string"},{"type":"null","description":"ISO country code.","example":"US","uniqueKey":"place.oneOf.0.country_code.oneOf.1","typeLabel":"null"}],"uniqueKey":"place.oneOf.0.country_code","typeLabel":"string | null"},"place_type":{"oneOf":[{"type":"string","description":"Type of place.","enum":["city","country","admin","poi","neighborhood"],"uniqueKey":"place.oneOf.0.place_type.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","description":"Type of place.","enum":["city","country","admin","poi","neighborhood"],"uniqueKey":"place.oneOf.0.place_type.oneOf.1","typeLabel":"null"}],"uniqueKey":"place.oneOf.0.place_type","typeLabel":"enum\u003cstring> | null"}},"uniqueKey":"place.oneOf.0","typeLabel":"object"},{"type":"null","description":"Geographic place associated with the tweet.","uniqueKey":"place.oneOf.1","typeLabel":"null"}],"uniqueKey":"place","typeLabel":"object | null"},"quoted_status_id":{"oneOf":[{"type":"string","description":"ID of the quoted tweet, if this is a quote tweet.","uniqueKey":"quoted_status_id.oneOf.0","typeLabel":"string"},{"type":"null","description":"ID of the quoted tweet, if this is a quote tweet.","uniqueKey":"quoted_status_id.oneOf.1","typeLabel":"null"}],"uniqueKey":"quoted_status_id","typeLabel":"string | null"},"retweeted_status_id":{"oneOf":[{"type":"string","description":"ID of the original tweet, if this is a retweet.","uniqueKey":"retweeted_status_id.oneOf.0","typeLabel":"string"},{"type":"null","description":"ID of the original tweet, if this is a retweet.","uniqueKey":"retweeted_status_id.oneOf.1","typeLabel":"null"}],"uniqueKey":"retweeted_status_id","typeLabel":"string | null"},"edit_tweet_ids":{"oneOf":[{"type":"array","description":"List of tweet IDs in the edit chain.","items":{"type":"string","uniqueKey":"edit_tweet_ids.oneOf.0.items.[INDEX]","typeLabel":"string"},"uniqueKey":"edit_tweet_ids.oneOf.0","typeLabel":"string[]"},{"type":"null","description":"List of tweet IDs in the edit chain.","items":{"type":"string"},"uniqueKey":"edit_tweet_ids.oneOf.1","typeLabel":"null"}],"uniqueKey":"edit_tweet_ids","typeLabel":"string[] | null"},"editable_until_msecs":{"oneOf":[{"type":"integer","description":"Timestamp (milliseconds) until the tweet can be edited.","uniqueKey":"editable_until_msecs.oneOf.0","typeLabel":"integer"},{"type":"null","description":"Timestamp (milliseconds) until the tweet can be edited.","uniqueKey":"editable_until_msecs.oneOf.1","typeLabel":"null"}],"uniqueKey":"editable_until_msecs","typeLabel":"integer | null"},"edits_remaining":{"oneOf":[{"type":"integer","description":"Number of remaining edits allowed.","uniqueKey":"edits_remaining.oneOf.0","typeLabel":"integer"},{"type":"null","description":"Number of remaining edits allowed.","uniqueKey":"edits_remaining.oneOf.1","typeLabel":"null"}],"uniqueKey":"edits_remaining","typeLabel":"integer | null"},"is_edit_eligible":{"oneOf":[{"type":"boolean","description":"Whether the tweet is eligible for editing.","uniqueKey":"is_edit_eligible.oneOf.0","typeLabel":"boolean"},{"type":"null","description":"Whether the tweet is eligible for editing.","uniqueKey":"is_edit_eligible.oneOf.1","typeLabel":"null"}],"uniqueKey":"is_edit_eligible","typeLabel":"boolean | null"},"has_card":{"oneOf":[{"type":"boolean","description":"Whether the tweet has a link preview card.","uniqueKey":"has_card.oneOf.0","typeLabel":"boolean"},{"type":"null","description":"Whether the tweet has a link preview card.","uniqueKey":"has_card.oneOf.1","typeLabel":"null"}],"uniqueKey":"has_card","typeLabel":"boolean | null"},"thumbnail_url":{"oneOf":[{"type":"string","description":"URL of the link preview thumbnail.","uniqueKey":"thumbnail_url.oneOf.0","typeLabel":"string"},{"type":"null","description":"URL of the link preview thumbnail.","uniqueKey":"thumbnail_url.oneOf.1","typeLabel":"null"}],"uniqueKey":"thumbnail_url","typeLabel":"string | null"},"thumbnail_title":{"oneOf":[{"type":"string","description":"Title of the link preview card.","uniqueKey":"thumbnail_title.oneOf.0","typeLabel":"string"},{"type":"null","description":"Title of the link preview card.","uniqueKey":"thumbnail_title.oneOf.1","typeLabel":"null"}],"uniqueKey":"thumbnail_title","typeLabel":"string | null"},"has_community_notes":{"oneOf":[{"type":"boolean","description":"Whether the tweet has community notes attached.","uniqueKey":"has_community_notes.oneOf.0","typeLabel":"boolean"},{"type":"null","description":"Whether the tweet has community notes attached.","uniqueKey":"has_community_notes.oneOf.1","typeLabel":"null"}],"uniqueKey":"has_community_notes","typeLabel":"boolean | null"},"source":{"oneOf":[{"type":"string","description":"Client application used to post the tweet.","example":"Twitter Web App","uniqueKey":"source.oneOf.0","typeLabel":"string"},{"type":"null","description":"Client application used to post the tweet.","example":"Twitter Web App","uniqueKey":"source.oneOf.1","typeLabel":"null"}],"uniqueKey":"source","typeLabel":"string | null"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"id":"1234567890123456789","text":"Hello, world! This is a tweet.","created_at":"Wed Oct 10 20:19:24 +0000 2018","full_text":"\u003cstring>","lang":"en","user_id":"44196397","username":"elonmusk","user_name":"Elon Musk","favorite_count":0,"retweet_count":0,"reply_count":0,"quote_count":0,"view_count":123,"bookmark_count":123,"favorited":false,"retweeted":false,"bookmarked":false,"possibly_sensitive":false,"is_quote_status":false,"is_retweet":false,"conversation_id":"\u003cstring>","in_reply_to_status_id":"\u003cstring>","in_reply_to_user_id":"\u003cstring>","media":[{"media_key":"\u003cstring>","type":"photo","url":"\u003cstring>","preview_image_url":"\u003cstring>","width":123,"height":123,"duration_ms":123,"view_count":123,"alt_text":"\u003cstring>"}],"urls":[{"url":"\u003cstring>","expanded_url":"\u003cstring>","display_url":"\u003cstring>","unwound_url":"\u003cstring>"}],"hashtags":[{"text":"AI","indices":[123]}],"user_mentions":[{"id":"\u003cstring>","username":"\u003cstring>","name":"\u003cstring>","indices":[123]}],"poll":{"id":"\u003cstring>","voting_status":"open","end_datetime":"\u003cstring>","duration_minutes":123,"options":[{"position":123,"label":"\u003cstring>","votes":123}]},"place":{"id":"\u003cstring>","full_name":"San Francisco, CA","name":"San Francisco","country":"United States","country_code":"US","place_type":"city"},"quoted_status_id":"\u003cstring>","retweeted_status_id":"\u003cstring>","edit_tweet_ids":["\u003cstring>"],"editable_until_msecs":123,"edits_remaining":123,"is_edit_eligible":true,"has_card":true,"thumbnail_url":"\u003cstring>","thumbnail_title":"\u003cstring>","has_community_notes":true,"source":"Twitter Web App"}}},"exampleType":"generated"}},"exampleType":"generated"},"bc80ad5a-652c-488f-bffd-b546bdb05568":{"description":"Authentication failed. The API key is missing, invalid, or expired.","content":{"application/json":{"schema":{"type":"object","description":"Error response returned for failed requests.","required":["error"],"properties":{"error":{"type":"string","description":"Human-readable error message describing what went wrong.","isRequired":true,"uniqueKey":"error","typeLabel":"string"}},"uniqueKey":"","typeLabel":"object"},"example":{"error":"Invalid or missing API key"},"examples":{"Example":{"title":"Example","value":{"error":"Invalid or missing API key"}}},"exampleType":"examples"}},"exampleType":"examples"},"e75d9549-4f2b-41a0-b316-68faef9bacf5":{"description":"Insufficient credits. Your account balance has been exhausted. Purchase more credits at https://scrapebadger.com/dashboard/billing?utm_source=docs\u0026utm_medium=referral.","content":{"application/json":{"schema":{"type":"object","description":"Error response returned for failed requests.","required":["error"],"properties":{"error":{"type":"string","description":"Human-readable error message describing what went wrong.","isRequired":true,"uniqueKey":"error","typeLabel":"string"}},"uniqueKey":"","typeLabel":"object"},"example":{"error":"Insufficient credits"},"examples":{"Example":{"title":"Example","value":{"error":"Insufficient credits"}}},"exampleType":"examples"}},"exampleType":"examples"},"cc03ec07-9930-46a4-8267-95ddd6cbac2f":{"description":"Rate limit exceeded. Too many requests in a given time period. Implement exponential backoff and retry.","content":{"application/json":{"schema":{"type":"object","description":"Error response returned for failed requests.","required":["error"],"properties":{"error":{"type":"string","description":"Human-readable error message describing what went wrong.","isRequired":true,"uniqueKey":"error","typeLabel":"string"}},"uniqueKey":"","typeLabel":"object"},"example":{"error":"Rate limit exceeded. Please retry after a short delay."},"examples":{"Example":{"title":"Example","value":{"error":"Rate limit exceeded. Please retry after a short delay."}}},"exampleType":"examples"}},"exampleType":"examples"}},"security":{"37f48805-a7c5-4f98-9639-0e3d6ad80121":{"apiKey":{"type":"apiKey","name":"x-api-key","in":"header","description":"Your ScrapeBadger API key. You can find this in your dashboard at https://scrapebadger.com/dashboard/api-keys?utm_source=docs\u0026utm_medium=referral.","scopes":[],"schemeName":"apiKey"}}},"servers":{"14370efe-8c9f-43f2-8f7a-2dc4505b8c58":{"url":"https://scrapebadger.com","description":"Production"}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"apiKey","name":"x-api-key","in":"header","description":"Your ScrapeBadger API key. You can find this in your dashboard at https://scrapebadger.com/dashboard/api-keys?utm_source=docs\u0026utm_medium=referral.","scopes":[],"schemeName":"apiKey"},"schema":{"title":"x-api-key","type":"string","description":"Your ScrapeBadger API key. You can find this in your dashboard at https://scrapebadger.com/dashboard/api-keys?utm_source=docs\u0026utm_medium=referral.","isRequired":true,"typeLabel":"string","deprecated":false},"schemeName":"apiKey","name":"x-api-key"}],"title":"apiKey"}]},"originalFileLocation":"openapi-twitter.json"},"subdomain":"scrapebadger","siteName":"ScrapeBadger","title":"Get Tweet Detail - ScrapeBadger","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-03-12T21:49:04.720Z","originalFileLocation":"api-reference/endpoint/tweets/get-tweet-detail.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Fetch detailed information about a single tweet. Returns comprehensive tweet data including author info, engagement stats, media attachments, polls, referenced tweets, and edit history. Use this for deep inspection of individual tweets.\">\u003cmeta data-mint-head name=\"application-name\" content=\"ScrapeBadger\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/scrapebadger/B7QFAHnHtKjf5kVI/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/scrapebadger/B7QFAHnHtKjf5kVI/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/scrapebadger/B7QFAHnHtKjf5kVI/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/scrapebadger/B7QFAHnHtKjf5kVI/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/scrapebadger/B7QFAHnHtKjf5kVI/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/scrapebadger/B7QFAHnHtKjf5kVI/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/scrapebadger/B7QFAHnHtKjf5kVI/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/scrapebadger/B7QFAHnHtKjf5kVI/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/scrapebadger/B7QFAHnHtKjf5kVI/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Get Tweet Detail - ScrapeBadger\">\u003cmeta data-mint-head property=\"og:description\" content=\"Fetch detailed information about a single tweet. Returns comprehensive tweet data including author info, engagement stats, media attachments, polls, referenced tweets, and edit history. Use this for deep inspection of individual tweets.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"ScrapeBadger\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.scrapebadger.com/api-reference/endpoint/tweets/get-tweet-detail\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://scrapebadger.mintlify.site/_mintlify/api/og/v2?division=Tweets\u0026amp;title=Get+Tweet+Detail\u0026amp;description=Fetch+detailed+information+about+a+single+tweet.+Returns+comprehensive+tweet+data+including+author+info%2C+engagement+stats%2C+media+attachments%2C+polls%2C+referenced+\u0026amp;theme=a8afda73f3529961ad914289\u0026amp;signature=2c56879979be13dcef2d04e1af1bc81694e9abb88b68dae6f9c3278c721b8cfb\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Get Tweet Detail - ScrapeBadger\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Fetch detailed information about a single tweet. Returns comprehensive tweet data including author info, engagement stats, media attachments, polls, referenced tweets, and edit history. Use this for deep inspection of individual tweets.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://scrapebadger.mintlify.site/_mintlify/api/og/v2?division=Tweets\u0026amp;title=Get+Tweet+Detail\u0026amp;description=Fetch+detailed+information+about+a+single+tweet.+Returns+comprehensive+tweet+data+including+author+info%2C+engagement+stats%2C+media+attachments%2C+polls%2C+referenced+\u0026amp;theme=a8afda73f3529961ad914289\u0026amp;signature=2c56879979be13dcef2d04e1af1bc81694e9abb88b68dae6f9c3278c721b8cfb\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/scrapebadger/B7QFAHnHtKjf5kVI/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"ScrapeBadger\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#16A34A\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.scrapebadger.com/api-reference/endpoint/tweets/get-tweet-detail\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-reference/endpoint/tweets/get-tweet-detail.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.scrapebadger.com/#organization\",\"name\":\"ScrapeBadger\",\"url\":\"https://docs.scrapebadger.com\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/scrapebadger/gnGR4eL2rEJ4E7w3/logo/light.png?fit=max\u0026auto=format\u0026n=gnGR4eL2rEJ4E7w3\u0026q=85\u0026s=d393e30b48870f8495f788d1fad76ad3\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.scrapebadger.com#website\",\"name\":\"ScrapeBadger\",\"url\":\"https://docs.scrapebadger.com\",\"publisher\":{\"@id\":\"https://docs.scrapebadger.com/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.scrapebadger.com/api-reference/endpoint/tweets/get-tweet-detail#webpage\",\"url\":\"https://docs.scrapebadger.com/api-reference/endpoint/tweets/get-tweet-detail\",\"name\":\"Get Tweet Detail\",\"description\":\"Fetch detailed information about a single tweet. Returns comprehensive tweet data including author info, engagement stats, media attachments, polls, referenced tweets, and edit history. Use this for deep inspection of individual tweets.\",\"dateModified\":\"2026-03-12T21:49:04.720Z\",\"isPartOf\":{\"@id\":\"https://docs.scrapebadger.com#website\"},\"breadcrumb\":{\"@id\":\"https://docs.scrapebadger.com/api-reference/endpoint/tweets/get-tweet-detail#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.scrapebadger.com/api-reference/endpoint/tweets/get-tweet-detail#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Tweets\",\"item\":\"https://docs.scrapebadger.com/api-reference/endpoint/tweets/get-tweets-by-ids\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Get Tweet Detail\",\"item\":\"https://docs.scrapebadger.com/api-reference/endpoint/tweets/get-tweet-detail\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.scrapebadger.com/api-reference/endpoint/tweets/get-tweet-detail#apireference\",\"headline\":\"Get Tweet Detail\",\"name\":\"Get Tweet Detail\",\"description\":\"Fetch detailed information about a single tweet. Returns comprehensive tweet data including author info, engagement stats, media attachments, polls, referenced tweets, and edit history. Use this for deep inspection of individual tweets.\",\"url\":\"https://docs.scrapebadger.com/api-reference/endpoint/tweets/get-tweet-detail\",\"mainEntityOfPage\":{\"@id\":\"https://docs.scrapebadger.com/api-reference/endpoint/tweets/get-tweet-detail#webpage\"},\"dateModified\":\"2026-03-12T21:49:04.720Z\",\"publisher\":{\"@id\":\"https://docs.scrapebadger.com/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.scrapebadger.com#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"ScrapeBadger\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"ScrapeBadger","nav":{"global":{"anchors":[{"anchor":"Dashboard","icon":"gauge","href":"https://scrapebadger.com/dashboard?utm_source=docs\u0026utm_medium=referral"},{"anchor":"Pricing","icon":"credit-card","href":"https://scrapebadger.com/pricing"}]},"tabs":[{"tab":"Getting Started","pages":[{"title":"Getting Started","href":""}]},{"tab":"Web Scraping","pages":[{"title":"Web Scraping","href":"/web-scraping/overview"}]},{"tab":"Google","pages":[{"title":"Google","href":"/google/overview"}]},{"tab":"Baidu","pages":[{"title":"Baidu","href":"/baidu/overview"}]},{"tab":"Bing","pages":[{"title":"Bing","href":"/bing/overview"}]},{"tab":"DuckDuckGo","pages":[{"title":"DuckDuckGo","href":"/duckduckgo/overview"}]},{"tab":"Yahoo","pages":[{"title":"Yahoo","href":"/yahoo/overview"}]},{"tab":"Yandex","pages":[{"title":"Yandex","href":"/yandex/overview"}]},{"tab":"Naver","pages":[{"title":"Naver","href":"/naver/overview"}]},{"tab":"Reddit","pages":[{"title":"Reddit","href":"/reddit/overview"}]},{"tab":"Vinted","pages":[{"title":"Vinted","href":"/vinted/overview"}]},{"tab":"Depop","pages":[{"title":"Depop","href":"/depop/overview"}]},{"tab":"Wallapop","pages":[{"title":"Wallapop","href":"/wallapop/overview"}]},{"tab":"LinkedIn","pages":[{"title":"LinkedIn","href":"/linkedin/overview"}]},{"tab":"Amazon","pages":[{"title":"Amazon","href":"/amazon/overview"}]},{"tab":"eBay","pages":[{"title":"eBay","href":"/ebay/overview"}]},{"tab":"Walmart","pages":[{"title":"Walmart","href":"/walmart/overview"}]},{"tab":"Google Play","pages":[{"title":"Google Play","href":"/google-play/overview"}]},{"tab":"App Store","pages":[{"title":"App Store","href":"/app-store/overview"}]},{"tab":"Leboncoin","pages":[{"title":"Leboncoin","href":"/leboncoin/overview"}]},{"tab":"Gumtree","pages":[{"title":"Gumtree","href":"/gumtree/overview"}]},{"tab":"Immobiliare","pages":[{"title":"Immobiliare","href":"/immobiliare/overview"}]},{"tab":"LoopNet","pages":[{"title":"LoopNet","href":"/loopnet/overview"}]},{"tab":"Airbnb","pages":[{"title":"Airbnb","href":"/airbnb/overview"}]},{"tab":"Booking.com","pages":[{"title":"Booking.com","href":"/booking/overview"}]},{"tab":"Apartments.com","pages":[{"title":"Apartments.com","href":"/apartments/overview"}]},{"tab":"Realtor","pages":[{"title":"Realtor","href":"/realtor/overview"}]},{"tab":"Zillow","pages":[{"title":"Zillow","href":"/zillow/overview"}]},{"tab":"YouTube","pages":[{"title":"YouTube","href":"/youtube/overview"}]},{"tab":"Instagram","pages":[{"title":"Instagram","href":"/instagram/overview"}]},{"tab":"Facebook","pages":[{"title":"Facebook","href":"/facebook/overview"}]},{"tab":"TikTok","pages":[{"title":"TikTok","href":"/tiktok/overview"}]},{"tab":"Twitter","groups":[{"group":"Overview","pages":[{"title":"API Reference","href":"/api-reference/introduction"}]},{"group":"Tweets","pages":[{"title":"Get Tweets by IDs","openapi":"get /v1/twitter/tweets/","description":"Retrieve multiple tweets by their IDs in a single request. Returns comprehensive tweet data for each requested ID including text, media attachments, engagement metrics, and all available metadata. Useful for bulk tweet lookups and monitoring specific tweets.","href":"/api-reference/endpoint/tweets/get-tweets-by-ids"},{"title":"Get Tweet Detail","openapi":"get /v1/twitter/tweets/tweet/{tweet_id}","href":"/api-reference/endpoint/tweets/get-tweet-detail"},{"title":"Get Tweet Retweeters","openapi":"get /v1/twitter/tweets/tweet/{tweet_id}/retweeters","description":"Get the list of users who retweeted a specific tweet. Returns comprehensive user profile data for each retweeter with pagination support. Useful for analyzing tweet reach and audience engagement.","href":"/api-reference/endpoint/tweets/get-tweet-retweeters"},{"title":"Get Tweet Replies","openapi":"get /v1/twitter/tweets/tweet/{tweet_id}/replies","href":"/api-reference/endpoint/tweets/get-tweet-replies"},{"title":"Get Tweet Favoriters","openapi":"get /v1/twitter/tweets/tweet/{tweet_id}/favoriters","href":"/api-reference/endpoint/tweets/get-tweet-favoriters"},{"title":"Get Similar Tweets","openapi":"get /v1/twitter/tweets/tweet/{tweet_id}/similar","href":"/api-reference/endpoint/tweets/get-similar-tweets"},{"title":"Advanced Tweet Search","openapi":"get /v1/twitter/tweets/advanced_search","href":"/api-reference/endpoint/tweets/advanced-search"},{"title":"Get Tweet Edit History","openapi":"get /v1/twitter/tweets/tweet/{tweet_id}/edit_history","href":"/api-reference/endpoint/tweets/get-tweet-edit-history"},{"title":"Get Community Notes","openapi":"get /v1/twitter/tweets/tweet/{tweet_id}/community_notes","href":"/api-reference/endpoint/tweets/get-community-notes"},{"title":"Get Tweet Quotes","openapi":"get /v1/twitter/tweets/tweet/{tweet_id}/quotes","href":"/api-reference/endpoint/tweets/get-tweet-quotes"},{"title":"Get Article Detail","openapi":"get /v1/twitter/tweets/article/{article_id}","href":"/api-reference/endpoint/tweets/get-article-detail"}]},{"group":"Users","pages":[{"title":"Batch Get Users by IDs","openapi":"get /v1/twitter/users/batch_by_ids","href":"/api-reference/endpoint/users/batch-get-users-by-ids"},{"title":"Batch Get Users by Usernames","openapi":"get /v1/twitter/users/batch_by_usernames","href":"/api-reference/endpoint/users/batch-get-users-by-usernames"},{"title":"Get User by ID","openapi":"get /v1/twitter/users/{user_id}/by_id","href":"/api-reference/endpoint/users/get-user-by-id"},{"title":"Get User by Username","openapi":"get /v1/twitter/users/{username}/by_username","href":"/api-reference/endpoint/users/get-user-by-username"},{"title":"Get User Tweets","openapi":"get /v1/twitter/users/{username}/latest_tweets","href":"/api-reference/endpoint/users/get-user-tweets"},{"title":"Get User Followers","openapi":"get /v1/twitter/users/{username}/followers","href":"/api-reference/endpoint/users/get-user-followers"},{"title":"Get User Following","openapi":"get /v1/twitter/users/{username}/followings","href":"/api-reference/endpoint/users/get-user-following"},{"title":"Get Latest Followers","openapi":"get /v1/twitter/users/{username}/latest_followers","href":"/api-reference/endpoint/users/get-user-latest-followers"},{"title":"Get Latest Following","openapi":"get /v1/twitter/users/{username}/latest_following","href":"/api-reference/endpoint/users/get-user-latest-following"},{"title":"Get User Subscriptions","openapi":"get /v1/twitter/users/{user_id}/subscriptions","href":"/api-reference/endpoint/users/get-user-subscriptions"},{"title":"Search Users","openapi":"get /v1/twitter/users/search_users","href":"/api-reference/endpoint/users/search-users"},{"title":"Get User Mentions","openapi":"get /v1/twitter/users/{username}/mentions","href":"/api-reference/endpoint/users/get-user-mentions"},{"title":"Get User Articles","openapi":"get /v1/twitter/users/{user_id}/articles","href":"/api-reference/endpoint/users/get-user-articles"}]},{"group":"Lists","pages":[{"title":"Get List Details","openapi":"get /v1/twitter/lists/{list_id}/detail","href":"/api-reference/endpoint/lists/get-list-details"},{"title":"Get List Tweets","openapi":"get /v1/twitter/lists/{list_id}/tweets","href":"/api-reference/endpoint/lists/get-list-tweets"},{"title":"Search List Tweets","openapi":"get /v1/twitter/lists/{list_id}/search_tweets","href":"/api-reference/endpoint/lists/search-list-tweets"}]},{"group":"Communities","pages":[{"title":"Get Community Details","openapi":"get /v1/twitter/communities/{community_id}","href":"/api-reference/endpoint/communities/get-community-details"},{"title":"Get Community Tweets","openapi":"get /v1/twitter/communities/{community_id}/tweets","href":"/api-reference/endpoint/communities/get-community-tweets"},{"title":"Search Communities","openapi":"get /v1/twitter/communities/search","href":"/api-reference/endpoint/communities/search-communities"}]},{"group":"Trends","pages":[{"title":"Get Trending Topics","openapi":"get /v1/twitter/trends/","href":"/api-reference/endpoint/trends/get-trending-topics"},{"title":"Get Trends by Location","openapi":"get /v1/twitter/trends/place/{woeid}","href":"/api-reference/endpoint/trends/get-trends-by-location"}]},{"group":"Geo","pages":[{"title":"Search Places","openapi":"get /v1/twitter/geo/search","href":"/api-reference/endpoint/geo/search-places"},{"title":"Get Place Details","openapi":"get /v1/twitter/geo/places/{place_id}","href":"/api-reference/endpoint/geo/get-place-details"}]},{"group":"Spaces","pages":[{"title":"Get Broadcast Details","openapi":"get /v1/twitter/spaces/broadcast/{broadcast_id}","href":"/api-reference/endpoint/spaces/get-broadcast-details"},{"title":"Get Space Details","openapi":"get /v1/twitter/spaces/{space_id}","href":"/api-reference/endpoint/spaces/get-space-details"}]},{"group":"Twitter Streams","pages":[{"title":"Twitter Streams Overview","href":"/twitter-streams/overview"},{"title":"Stream Monitors","href":"/twitter-streams/monitors"},{"title":"Filter Rules","href":"/twitter-streams/filter-rules"},{"title":"WebSocket Delivery","href":"/twitter-streams/websocket"},{"title":"Webhook Delivery","href":"/twitter-streams/webhooks"}]},{"group":"Stream Monitors API","pages":[{"title":"Create Stream Monitor","openapi":"post /v1/twitter/stream/monitors","href":"/api-reference/endpoint/streams/create-stream-monitor"},{"title":"List Stream Monitors","openapi":"get /v1/twitter/stream/monitors","href":"/api-reference/endpoint/streams/list-stream-monitors"},{"title":"Get Stream Monitor","openapi":"get /v1/twitter/stream/monitors/{monitor_id}","href":"/api-reference/endpoint/streams/get-stream-monitor"},{"title":"Update Stream Monitor","openapi":"patch /v1/twitter/stream/monitors/{monitor_id}","href":"/api-reference/endpoint/streams/update-stream-monitor"},{"title":"Delete Stream Monitor","openapi":"delete /v1/twitter/stream/monitors/{monitor_id}","href":"/api-reference/endpoint/streams/delete-stream-monitor"},{"title":"Create Webhook","openapi":"post /v1/twitter/stream/webhooks","href":"/api-reference/endpoint/streams/create-webhook"},{"title":"List Webhooks","openapi":"get /v1/twitter/stream/webhooks","href":"/api-reference/endpoint/streams/list-webhooks"},{"title":"Delete Webhook","openapi":"delete /v1/twitter/stream/webhooks/{webhook_id}","href":"/api-reference/endpoint/streams/delete-webhook"},{"title":"Test Webhook","openapi":"post /v1/twitter/stream/webhooks/test","href":"/api-reference/endpoint/streams/test-webhook"},{"title":"List Delivery Logs","openapi":"get /v1/twitter/stream/logs","href":"/api-reference/endpoint/streams/list-delivery-logs"},{"title":"List Billing Logs","openapi":"get /v1/twitter/stream/billing-logs","href":"/api-reference/endpoint/streams/list-billing-logs"}]},{"group":"Filter Rules API","pages":[{"title":"Create Filter Rule","openapi":"post /v1/twitter/stream/filter-rules","href":"/api-reference/endpoint/filter-rules/create-filter-rule"},{"title":"List Filter Rules","openapi":"get /v1/twitter/stream/filter-rules","href":"/api-reference/endpoint/filter-rules/list-filter-rules"},{"title":"Get Filter Rule","openapi":"get /v1/twitter/stream/filter-rules/{rule_id}","href":"/api-reference/endpoint/filter-rules/get-filter-rule"},{"title":"Update Filter Rule","openapi":"patch /v1/twitter/stream/filter-rules/{rule_id}","href":"/api-reference/endpoint/filter-rules/update-filter-rule"},{"title":"Delete Filter Rule","openapi":"delete /v1/twitter/stream/filter-rules/{rule_id}","href":"/api-reference/endpoint/filter-rules/delete-filter-rule"},{"title":"Validate Filter Rule Query","openapi":"post /v1/twitter/stream/filter-rules/validate","href":"/api-reference/endpoint/filter-rules/validate-filter-rule"},{"title":"Get Filter Rule Logs","openapi":"get /v1/twitter/stream/filter-rules/{rule_id}/logs","href":"/api-reference/endpoint/filter-rules/get-filter-rule-logs"},{"title":"Get Filter Rule Pricing","openapi":"get /v1/twitter/stream/filter-rules-pricing","href":"/api-reference/endpoint/filter-rules/get-filter-rule-pricing"}]}]},{"tab":"ChatGPT","pages":[{"title":"ChatGPT","href":"/chatgpt/overview"}]},{"tab":"Gemini","pages":[{"title":"Gemini","href":"/gemini/overview"}]},{"tab":"Perplexity","pages":[{"title":"Perplexity","href":"/api-reference/endpoint/perplexity/ask"}]},{"tab":"Copilot","pages":[{"title":"Copilot","href":"/copilot/overview"}]},{"tab":"MCP Server","pages":[{"title":"MCP Server","href":"/mcp/overview"}]},{"tab":"CLI","pages":[{"title":"CLI","href":"/cli/overview"}]},{"tab":"ASOS","pages":[{"title":"ASOS","href":"/asos/overview"}]},{"tab":"Target","pages":[{"title":"Target","href":"/target/overview"}]},{"tab":"Etsy","pages":[{"title":"Etsy","href":"/etsy/overview"}]},{"tab":"AliExpress","pages":[{"title":"AliExpress","href":"/aliexpress/overview"}]},{"tab":"Best Buy","pages":[{"title":"Best Buy","href":"/bestbuy/overview"}]}]},"basePath":"","title":"Get Tweet Detail - ScrapeBadger","buildId":"dpl_8LJbrAiZvr1K98WQNZXCyY5AvT34","deploymentId":"dpl_8LJbrAiZvr1K98WQNZXCyY5AvT34","dynamics":["c2aa737661","2b790eda92","b0f84f53ff","a9bb46feb3"],"chunks":["OpenApiReferenceProvider-i2a3QZ8E.js","utils-ChLwp8m0.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-DRktVTDc.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-CA2pEs4T.js","snippetPresets-ClQ6XrKD.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","ApiExamples-Ct_Lv36y.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-Cn2PYw9e.js","shallow-rkyymjXQ.js","getApiPlaygroundDisplay-BB9vkXtE.js","CodeSnippet-Bm5RU7m1.js","CodeSnippets-BgU9Deuz.js","Page-BUDYNlhG.js","getPastedJson-BD-6NNum.js","icon-8Z6tud2e.js","MethodPill-Tuzr4g3V.js","DuplicateIcon-0ceWFYhN.js","createIcon-FBXow_ST.js","DynamicMarkdown-CD8713Yy.js","SectionHeading-7zgzQbH-.js","axios-vUo_bRtp.js","Markdown-D7Ofw1oz.js","clsx-eKJ4rcii.js","lib-DuNMoZ05.js","lib-B8HbPgcC.js","html-void-elements-mCSPHezU.js","dist-CwjSCXIK.js","katex-YMM-FMeD.js","marked.esm-CZWythHk.js","AssistantPageLink-9EK5IAXV.js"]}